void debug(const string &in str) {
    if (!develepor) return;
    trace("[Debug] " + str);
}

debugType currentDebugType = debugType::none;
mapInfo@ currentDebugMap = mapInfo();
campaignInfo@ currentDebugCampaign = campaignInfo();

void debugMap(mapInfo@ dmi) {
    currentDebugMap = dmi;
    currentDebugType = debugType::map;
    selectedTab = menuTabs::debug;
}

void debugCampaign(campaignInfo@ dci) {
    currentDebugCampaign = dci;
    currentDebugType = debugType::campaign;
    selectedTab = menuTabs::debug;
}

enum debugType {
    none,
    map,
    campaign
}

void drawDebug() {
    if (currentDebugType == debugType::none) return;
    if (currentDebugType == debugType::map) {
        currentDebugMap.drawMapDebug();
    }
    if (currentDebugType == debugType::campaign) {
        currentDebugCampaign.drawCampaignDebug();
    }
}